/* This file is part of
* ======================================================
* 
*           LyX, the High Level Word Processor
* 	 
*	    Copyright (C) 1995 Matthias Ettrich
*
*======================================================*/

#include"inset.h"
#include"layout.h"

#define NUMBER_OF_BUFFERS 50

/* the bufferstructure used in the main modules */

typedef struct Buffer {
   LyXTextParameters parameters;
   LyXText *text;
   LyXScreen *screen;
   char* filename;
   char lyx_current;
   char bak_current;
   char dvi_current;
   char save;
   char menu_position;
};

typedef struct LyXRC  {
   LyXTextParameters parameters;
   char * printer;
   char * print_command;
   char * xdvi_extra_options;
   char* template_path;
   char default_zoom;
   int autosave;
};


typedef struct {
    Widget work_area  ;
    Widget scrollbar ;
} FileData ;




/* temporary stuff for development */

/* opens only lyx-files */
int OpenFile(const char *filename);

/* opens all files */
int OpenAllFile(const char *filename);

void CloseFile();

/* the Paragraph must exist!*/
void ReadParagraph(LyXParagraph *par);
void ReadSimpleWholeFile(LyXParagraph *par);

void ReadFile(LyXTextParameters &p);

void ReadRCFile(char* filename, LyXRC &rc);

void WriteFile(const char* filename, LyXTextParameters p);

void MakeLaTeXFile(const char* filename, LyXTextParameters p, int column);


char IsLyXFilename(const char* filename);



/* scans the latex-logfile and inserts error insets */
int ScanLogFile(const char* filename);


